Package net.md_5.bungee.api.event

# Class PostLoginEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.AsyncEvent<PostLoginEvent>
net.md_5.bungee.api.event.PostLoginEvent

public class PostLoginEvent extends AsyncEvent<PostLoginEvent>
Event called as soon as a connection has a `ProxiedPlayer` and is ready to be connected to a server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostLoginEvent(ProxiedPlayer player, ServerInfo target, Callback<PostLoginEvent> done)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `ProxiedPlayer`
  `getPlayer()`
  The player involved with this event.
  `ServerInfo`
  `getTarget()`
  The server to which the player will initially be connected.
  `int`
  `hashCode()`
  `void`
  `setTarget(ServerInfo target)`
  The server to which the player will initially be connected.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.event.AsyncEvent

  `completeIntent, postCall, registerIntent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PostLoginEvent

    public PostLoginEvent(ProxiedPlayer player, ServerInfo target, Callback<PostLoginEvent> done)

- ## Method Details

  - ### getPlayer

    public ProxiedPlayer getPlayer()
    The player involved with this event.

  - ### getTarget

    public ServerInfo getTarget()
    The server to which the player will initially be connected.

  - ### setTarget

    public void setTarget(ServerInfo target)
    The server to which the player will initially be connected.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AsyncEvent<PostLoginEvent>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `AsyncEvent<PostLoginEvent>`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `AsyncEvent<PostLoginEvent>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `AsyncEvent<PostLoginEvent>`